@openwop/spec-artifacts 2.7.1 → 2.8.0

This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
package/CORPUS-STAMP.json CHANGED
@@ -1,17 +1,17 @@
1
1
  {
2
2
  "_comment": "Provenance of @openwop/spec-artifacts (RFC 0168 §D.2). files: SHA-256 per file; the conformance suite compares the installed peer against dist/spec-artifacts.lock.json at start.",
3
3
  "package": "@openwop/spec-artifacts",
4
- "version": "2.7.1",
5
- "corpusTag": "v2.7.1",
4
+ "version": "2.8.0",
5
+ "corpusTag": "v2.8.0",
6
6
  "files": {
7
7
  "api/.redocly.lint-ignore.yaml": "bf5a8350b88a72fa43f59605ed8d903ed24b6cfccda5e45509c9f6ed9ee4e712",
8
8
  "api/asyncapi.yaml": "d5ecb9ee6114582be3b1f662c84bfac9ae96dae7bacb853e461168f70a8e1c7d",
9
9
  "api/grpc/openwop.proto": "c3e72bb17cba514ee98feb6434e6c9b6ea6795bfd086489ec69fd882dd1ad977",
10
10
  "api/openapi.yaml": "39081c59fb696159806b0f2f9a42e7e9ff830d622fcf2ad4159b21357580a955",
11
11
  "api/redocly.yaml": "b0604c89b2ca6d5076ec25725c539dad44a741a811fe524439ee6daef8baa09f",
12
- "api/seams-v2.yaml": "b243b0ef6d4327e2cb7330304f619f700223eb2c5e542925fca79832693a4066",
13
- "api/v2/asyncapi.yaml": "41bfda7698cf076a39c8fb2580aebd0d2c5cf05a08b8666ddc16e1c1591f4531",
14
- "api/v2/openapi.yaml": "17b23fc7f5b6cb2afaddc50ae5d01df61141ec3e534db0a8ceb384b60b5f5621",
12
+ "api/seams-v2.yaml": "2ab83d4cdc2ae5d86985b91edcb942375018f44a1cb80d71ae0355f0a4083aec",
13
+ "api/v2/asyncapi.yaml": "4ee4014e07f36ec0f5a5492b604698c59de87fba833d9c5dbf8e4578bfedf2cb",
14
+ "api/v2/openapi.yaml": "696cce878d1cd2601d8fad207e52b1b03de8b78caac41f4013202d84e18584ab",
15
15
  "api/v2/redocly.yaml": "1e66b60e6118ad11a823bb620678be464d99dfe50a40e3e6f93ec9429b88b34c",
16
16
  "schemas/README.md": "0c0b737ffcf8f30e7d2809cec8a498232de710f41443212922ad8337cdde0b51",
17
17
  "schemas/a2a-task-state.schema.json": "c9365918f993f943b4b619d42551eb066a1ed33a08d895d51b395432a5b1f1bc",
@@ -201,7 +201,7 @@
201
201
  "schemas/workspace-file.schema.json": "464de85c2a068243084ee9c1d969bc7cd5d8f7948574e58450d6493c38a0e1e4",
202
202
  "spec/v1/alias-detectors.json": "e90916db12d2297e2e560b2d54d2c4702d6cb3bef7179a575844687a7ec17262",
203
203
  "spec/v1/capability-declaration-classes.json": "e7729aed5c4b4e1dd02abab0530f14cc95f5d4070fe51fb139e7f5cccefa00c6",
204
- "spec/v1/core-standard-manifest.json": "48358d15114eedd48ac3c958cafc5e4f8a1e008c3596f884871b380c9bcf3226",
204
+ "spec/v1/core-standard-manifest.json": "839e4db486838db3ee64512a15bfcd95921a4d6611f1549909ef06c29fd8c8dd",
205
205
  "spec/v1/deprecations.json": "c81c8f71460936c8d489d8270477c7661cf4a5d7b7bad86c98899750b5656027",
206
206
  "spec/v1/deprecations.schema.json": "18c87e78bedc210431f795ae44c5b5d202f2f3317850d5cf86867d4f1fa1cdfb",
207
207
  "spec/v1/event-codemap.json": "3da60d884157793a360da532a9fcbbfb5285636db325a74cec94b34622186d97",
@@ -234,7 +234,7 @@
234
234
  "spec/v2/core/versioning.md": "27b88cde88f9060567ef7e46f4897b6be8892ade9f4a46c2ab16e314c515eabd",
235
235
  "spec/v2/core/webhooks.md": "e08a736fd0bfdc79f5c2309c66f53caf96fac8d9954e0a184c2229de4ce286e9",
236
236
  "spec/v2/core/workflow-chain-packs.md": "26bb65721f826285b7d90c3cb62fa7e9fb2414c1bc6e0fd25b33209168c3102e",
237
- "spec/v2/declaration.json": "0a5119e69983ea74adea739a4ca2aa206be7d1d4e32373c739b53fd0ae6d98d8",
237
+ "spec/v2/declaration.json": "4cebdd1dd35c7a59dffd38c154b0d9cdc58c2a3ffbfb452fa5743b64fc3c8d4e",
238
238
  "spec/v2/declaration.schema.json": "c86e3083fb9789c1958ecb4576cc6f71aa90e6f339521139238543ed08211dd4",
239
239
  "spec/v2/errors.json": "4ff032033f02d7e3fb4204581456408ba5e7642b438c1f349bbd1c264e63e419",
240
240
  "spec/v2/event-codemap.json": "37869a03cdfd8758b57e6f350641a6ebbd383231cebda51f5473ad85f94ab74c",
@@ -272,8 +272,8 @@
272
272
  "spec/v2/path-manifest.json": "c123c9fd77dc1b3f9c2e9346ace80cdae007e6511138894956abda01e61ec1c6",
273
273
  "spec/v2/peer-dependency-aliases.json": "d10299280abee08258502925bc327293ee413e0108cd6e6ec75ff6110653308d",
274
274
  "spec/v2/profiles.json": "0636f19fceae625390003a347e70ef4797d84766b5c24ce8a02cea52aadebca4",
275
- "spec/v2/release.json": "4a756e0b13888047ec429a0d28928599633a553baa6d4550517d6f528ce2bd9b",
275
+ "spec/v2/release.json": "10723a8b777cdfdfbe7dd13f249cf8bcceaea261ca9cbcbc8c3c70ca6eeda3f6",
276
276
  "spec/v2/retention-floors.json": "eaf3722d95c79947af1d4269ef85117e126518c588cfcf1a2b21b97269f51624"
277
277
  },
278
- "corpusCommit": "b0a202870a1ec8c4921297cb7b2a178751cb4b04"
278
+ "corpusCommit": "afec2d1a9ef2f11dce1ab1f95d98d7589f969d23"
279
279
  }
package/api/seams-v2.yaml CHANGED
@@ -1,7 +1,7 @@
1
1
  openapi: 3.1.0
2
2
  info:
3
3
  title: OpenWOP conformance seams profile (openwop-conformance-seams-v2)
4
- version: 2.7.1
4
+ version: 2.8.0
5
5
  description: 'GENERATED by scripts/derive-v2-api.py. RFC 0168 §C: the seams are a versioned conformance profile with their
6
6
  own document and path space (/conformance/seams/…), validated against the canonical v2 schemas with no tolerance path,
7
7
  forbidden from the capability namespace (a host advertises the profile, never a testSeams flag). This document carries
@@ -1,7 +1,7 @@
1
1
  asyncapi: 3.1.0
2
2
  info:
3
3
  title: OpenWOP v2 event streams
4
- version: 2.7.1
4
+ version: 2.8.0
5
5
  description: GENERATED by scripts/derive-v2-api.py (RFC 0171 §E.1, RFC 0172 §C.2). One run-events channel whose address
6
6
  is the OpenAPI path key; the server pathname is empty (bare origin). streamMode is a pattern over the closed set and its
7
7
  comma-separated combinations (`values` never combines). hostEvents has a real address (RFC 0171 §E.1) — the documented
@@ -1,7 +1,7 @@
1
1
  openapi: 3.1.0
2
2
  info:
3
3
  title: OpenWOP v2 API
4
- version: 2.7.1
4
+ version: 2.8.0
5
5
  summary: REST surface for declaring, executing, suspending, resuming, and observing multi-step workflows.
6
6
  description: GENERATED by scripts/derive-v2-api.py from api/openapi.yaml and the RFC 0167 children (v2 charter Phase 3,
7
7
  P3-C). Bare origin, unversioned path keys, negotiation by `OpenWOP-Version` + `protocolVersions[]` (RFC 0172 §A). No seam
package/package.json CHANGED
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@openwop/spec-artifacts",
3
- "version": "2.7.1",
3
+ "version": "2.8.0",
4
4
  "description": "The OpenWOP machine-readable contract: api/ (OpenAPI, AsyncAPI, the seams profile), schemas/ (v1 and v2 JSON Schemas), the spec/v1 and spec/v2 registries (errors, event codemap, declaration, deprecations, migrations, gaps) and CORPUS-STAMP.json — published from the openwop/openwop corpus tag; the peer dependency @openwop/openwop-conformance digest-checks at start (RFC 0168 §D.2).",
5
5
  "license": "Apache-2.0",
6
6
  "repository": {
@@ -4,7 +4,7 @@
4
4
  "provenance": {
5
5
  "suite": {
6
6
  "package": "@openwop/openwop-conformance",
7
- "version": "2.7.1"
7
+ "version": "2.8.0"
8
8
  },
9
9
  "note": "Derived from the corpus at generation time. Regenerate with --write; verify with --check."
10
10
  },
@@ -419,5 +419,5 @@
419
419
  "$id": "https://openwop.dev/spec/v1/workspace-file.schema.json"
420
420
  }
421
421
  ],
422
- "digest": "dd71fdff1a70bdff918a3c55d239d70208cae1533febc0c14052a610baa628d0"
422
+ "digest": "6923a074e6cc0ee6bfc59f79b640e5239cdc31e721e23e89ba18a9c8226b505b"
423
423
  }
@@ -369,7 +369,10 @@
369
369
  ],
370
370
  "floorScenarios": [],
371
371
  "requirementIds": [],
372
- "owningRfc": "0095"
372
+ "owningRfc": "0095",
373
+ "normativeText": [
374
+ "spec/v2/core/connection-packs.md"
375
+ ]
373
376
  },
374
377
  {
375
378
  "key": "selfHostedRunner",
@@ -504,7 +507,10 @@
504
507
  "floorScenarios": [],
505
508
  "requirementIds": [],
506
509
  "owningRfc": "0140",
507
- "facetsFrom": "spec/v2/facets/replay.schema.json"
510
+ "facetsFrom": "spec/v2/facets/replay.schema.json",
511
+ "normativeText": [
512
+ "spec/v2/core/replay.md"
513
+ ]
508
514
  },
509
515
  {
510
516
  "key": "oauth",
@@ -1102,7 +1108,10 @@
1102
1108
  "floorScenarios": [],
1103
1109
  "requirementIds": [],
1104
1110
  "owningRfc": "0188",
1105
- "facetsFrom": "spec/v2/facets/webhooks.schema.json"
1111
+ "facetsFrom": "spec/v2/facets/webhooks.schema.json",
1112
+ "normativeText": [
1113
+ "spec/v2/core/webhooks.md"
1114
+ ]
1106
1115
  },
1107
1116
  {
1108
1117
  "key": "triggerBridge",
@@ -1633,7 +1642,10 @@
1633
1642
  "floorScenarios": [],
1634
1643
  "requirementIds": [],
1635
1644
  "owningRfc": "0104",
1636
- "facetsFrom": "spec/v2/facets/interrupt.schema.json"
1645
+ "facetsFrom": "spec/v2/facets/interrupt.schema.json",
1646
+ "normativeText": [
1647
+ "spec/v2/core/interrupt.md"
1648
+ ]
1637
1649
  },
1638
1650
  {
1639
1651
  "key": "restTransport",
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "$comment": "RFC 0172 §D.1 — the one release identity the v2 artifacts derive from. `version` is the next corpus tag `v<version>` (the publish workflow's coordinated-release tag pattern `v*`; RFC 0172's `openwop/v2.<minor>.<patch>` spelling is amended to this at its flip). api/v2/*.yaml info.version, the suite's 2.x version and @openwop/spec-artifacts read it. Bumped by the release PR that cuts the tag, never by hand elsewhere.",
3
- "version": "2.7.1",
4
- "corpusTag": "v2.7.1",
3
+ "version": "2.8.0",
4
+ "corpusTag": "v2.8.0",
5
5
  "updated": "2026-09-18"
6
6
  }